Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_AccessControlListSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_PublicObjectSelector
              oracle.ifs.server.S_AccessControlListSelector

Direct Known Subclasses:
  S_ClassAccessControlListSelector, S_SystemAccessControlListSelector

    public class S_AccessControlListSelector

extends S_PublicObjectSelector

The `S_AccessControlListSelector` class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_AccessControlListSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_AccessControlListSelector object.

Method Summary
`protected java.util.Vector` | `selectAllCompositeAclData(AttributeValue componentAcl, SortSpecification sort)` return Vector of S_LibraryObjectData objects corresponding to all Composite ACLs that include the specified parameter as a component ACL.
`protected S_AccessControlList[]` | `selectAllCompositeAcls(AttributeValue componentAcl)` return all Composite ACLs that include the specified parameter as a component ACL.
`protected S_AccessControlList[]` | `selectAllCompositeAcls(AttributeValue componentAcl, SortSpecification sort)` return all Composite ACLs that include the specified parameter as a component ACL.
`protected S_AccessControlList` | `selectByOnwerUniqueName(java.lang.String onwerUniqueName)` return the ACL that corresponds to the specified OwnerUniqueName.
`protected S_AccessControlList[]` | `selectNonconformingAcls(java.lang.Long groupId, SortSpecification sort)` return all Non-conforming ACLs based on a group whose membership is changing.

Methods inherited from class oracle.ifs.server.S_PublicObjectSelector
`getLeftObjectsCountSelectStatement, getLeftObjectsSelectStatement, getRightObjectsCountSelectStatement, getRightObjectsSelectStatement, selectLeftObjects, selectLeftObjectsCount, selectLeftObjectsCursor, selectRightObjects, selectRightObjectsCount, selectRightObjectsCursor`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_AccessControlListSelector

    protected S_AccessControlListSelector(S_LibrarySession session,
                                          java.lang.Long classId)
                                   throws IfsException

  Construct a S_AccessControlListSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Method Detail

### selectByOnwerUniqueName

    protected S_AccessControlList selectByOnwerUniqueName(java.lang.String onwerUniqueName)
                                                   throws IfsException

  Description copied from class: `S_AccessControlListSelector`
  return the ACL that corresponds to the specified OwnerUniqueName.

  Parameters:
    `onwerUniqueName` - the onwerUniqueName value
  Returns:
    the correspond object, or null if none exist with that name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectAllCompositeAcls

    protected S_AccessControlList[] selectAllCompositeAcls(AttributeValue componentAcl)
                                                    throws IfsException

  Description copied from class: `S_AccessControlListSelector`
  return all Composite ACLs that include the specified parameter as a component ACL.

  Parameters:
    `componentAcl` - the component ACL
  Returns:
    the array of Composite ACLs that include the specified component ACL
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectAllCompositeAcls

    protected S_AccessControlList[] selectAllCompositeAcls(AttributeValue componentAcl,
                                                           SortSpecification sort)
                                                    throws IfsException

  Description copied from class: `S_AccessControlListSelector`
  return all Composite ACLs that include the specified parameter as a component ACL. The returned ACLs are sorted according to the specified sort specification.

  Parameters:
    `componentAcl` - the component ACL
    `sort` - how the Composite ACLs are to be sorted
  Returns:
    the array of Composite ACLs that include the specified component ACL
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectAllCompositeAclData

    protected java.util.Vector selectAllCompositeAclData(AttributeValue componentAcl,
                                                         SortSpecification sort)
                                                  throws IfsException

  Description copied from class: `S_AccessControlListSelector`
  return Vector of S_LibraryObjectData objects corresponding to all Composite ACLs that include the specified parameter as a component ACL. The returned ACLs are sorted according to the specified sort specification.

  Parameters:
    `componentAcl` - the component ACL
    `sort` - how the Composite ACLs are to be sorted
  Returns:
    the set of S_LibraryObjectData objects corresponding to the Composite ACLs that include the specified component ACL
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectNonconformingAcls

    protected S_AccessControlList[] selectNonconformingAcls(java.lang.Long groupId,
                                                            SortSpecification sort)
                                                     throws IfsException

  Description copied from class: `S_AccessControlListSelector`
  return all Non-conforming ACLs based on a group whose membership is changing. This will only return ACLs that are non-conforming with respect to the specified group.

  Parameters:
    `groupId` - the ID of the group that is changing
    `sort` - how the results are to be sorted
  Returns:
    the array of Non-conforming ACLs
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD